@echo off
cls
REM       *** INSTALLATIONSROUTINE       ASTRO-STAR     Version 1.0 ***

REM    Ausgabe Installations-Screen
echo Ŀ
echo     A S T R O  -  S T A R     Version 2.5  (C)opyright 1992 Thomas Herold   
echo                                                                             
echo                            INSTALLATIONS-ROUTINE                            
echo                                                                             
echo                             SHAREWARE - VERSION                             
echo 
echo 
echo 

REM   Kontrolle, ob Quell-Laufwerk angegeben
IF "%1"=="" GOTO ERROR

REM   Kontrolle, ob Ziellaufwerk angegeben
IF "%2"=="" GOTO ERROR

REM   Anlegen des neuen Verzeichnisses auf Ziellaufwerk
%2
cd \
md astar

REM   Kopieren der gepackten Datei
echo 
echo   Kopiere gepackte Datei ...
echo 
copy %1\astro.exe %2\astar

REM   Wechseln in Verzeichnis und entpacken
cd \astar
echo 
echo    Dateien werden entpackt ...
echo 
astro.exe

REM   Kontrolle, ob korrekt entpackt wurde
IF errorlevel==1 GOTO PACKERROR
IF NOT EXIST TIERKREI.AST GOTO PACKERROR

REM   Lschen der gepackten Datei
del ASTRO.EXE

REM   Ausgabe Endmeldung
CLS
echo 
echo   Programm erfolgreich installiert!
echo   Starten Sie es durch Eingabe von ASTAR (ENTER) ...
echo 
echo 
GOTO END


REM   Ausgabe Fehlermeldung unkorrekte Parameter
:ERROR
echo 
echo 
echo   FEHLER !
echo 
echo   Rufen Sie die Installationsroutine mit dem Namen des Quell-Laufwerkes
echo   und dem Namen des Ziellaufwerkes auf.
echo   Beispiel:  INSTALL A: C:  (um ASTRO-STAR von Laufwerk A: auf C: zu 
echo   installieren)
echo 
echo   Die Routine legt ein Verzeichnis namens ASTAR auf dem Ziel-Laufwerk an.
echo 
echo 
GOTO END

REM   Ausgabe Fehlermeldung Fehler beim Entpacken
:PACKERROR
echo 
echo 
echo   FEHLER beim Entpacken der Dateien!
echo 
echo   Bitte prfen Sie, ob gengend Speicherplatz auf dem Ziellaufwerk vor-
echo   handen ist. ASTRO-STAR bentigt wrend des Entpackens ca. 3,7 MB.
echo   berprfen Sie ansonsten, ob Quell- und Ziellaufwerk korrekt ange-
echo   geben wurden ...
echo 
echo 

REM   Zurck ins Dos
:END



